/****************************************************************************
*   lock.h -- Lock file handling routines (UUCP style)                      *
*   Copyright (C) 1998, 1999  Peter Mack, DL3FCJ                            *
****************************************************************************/

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <signal.h>


/*
 * some usefull macros
 */
#ifndef max
	#define max(a,b) (((a) > (b)) ? (a) : (b))
#endif
#ifndef min
	#define min(a,b) (((a) < (b)) ? (a) : (b))
#endif


/*
 * defaults for UUCP style lock files
 */
#define LF_PATH             "/var/lock"
#define LF_PREFIX           "LCK.."


/*
 * function prototypes
 */
int lock_device(char *);
int unlock_device(char *);
